Get historical market snapshots
curl --request GET \
--url https://markets.dial.to/api/v0/markets/history \
--header 'x-dialect-client-key: <api-key>'import requests
url = "https://markets.dial.to/api/v0/markets/history"
headers = {"x-dialect-client-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-dialect-client-key': '<api-key>'}};
fetch('https://markets.dial.to/api/v0/markets/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"markets": [
{
"id": "<string>",
"history": [
{
"timestamp": "2023-11-07T05:31:56Z",
"depositApy": 123,
"totalDeposit": 123,
"totalDepositUsd": 123
}
]
}
]
}
}Markets
Get historical market snapshots
Fetch market snapshots within a time range for one or more markets. Optionally interpolate to a uniform time grid.
GET
/
v0
/
markets
/
history
Get historical market snapshots
Authorizations
Client key for the Markets API
Query Parameters
Market ID can be found in our /markets list endpoint and /positions endpoint.
Start time of the snapshot. Date or datetime in RFC 3339 format
End time of the snapshot. Date or datetime in RFC 3339 format. Defaults to current time if not provided
Available options:
1h, 1d Response
200 - application/json
OK
Show child attributes
Show child attributes
Was this page helpful?